IOSS 2.0

Public Member Functions | Private Attributes | List of all members
Ioss::PropertyManager Class Reference

A collection of Ioss::Property objects. More...

`#include <Ioss_PropertyManager.h>`

## Public Member Functions
| PropertyManager ()=default
| PropertyManager (const PropertyManager &from)
PropertyManager & | operator= (const PropertyManager &from)=delete
| ~PropertyManager ()
void | add (const Property &new_prop)
| Add a property to the property manager. More...
void | erase (const std::string &property_name)
| Remove a property from the property manager. More...
bool | exists (const std::string &property_name) const
| Checks if a property exists in the database. More...
Property | get (const std::string &property_name) const
| Get a property object from the property manager. More...
int | describe (NameList *names) const
| Get the names of all properties in the property manager. More...
size_t | count () const

## Private Attributes
PropMapType | m_properties

## Detailed Description

A collection of Ioss::Property objects.

## Constructor & Destructor Documentation

## ◆ PropertyManager() [1/2]

Ioss::PropertyManager::PropertyManager | ( |  | ) |
| default

## ◆ PropertyManager() [2/2]

Ioss::PropertyManager::PropertyManager | ( | const PropertyManager & | from | ) |

## ◆ ~PropertyManager()

Ioss::PropertyManager::~PropertyManager | ( |  | ) |

## Member Function Documentation

## ◆ add()

void Ioss::PropertyManager::add | ( | const Property & | new_prop | ) |

Add a property to the property manager.

Parameters

  [in] | new_prop | The property to add.

## ◆ count()

size_t Ioss::PropertyManager::count | ( |  | ) | const

Get the number of properties in the property manager

Returns
  The number of properties in the property manager.

## ◆ describe()

int Ioss::PropertyManager::describe | ( | NameList * | names | ) | const

Get the names of all properties in the property manager.

Parameters

  [out] | names | All the property names in the property manager.

Returns
  The number of properties extracted from the property manager.

## ◆ erase()

void Ioss::PropertyManager::erase | ( | const std::string & | property_name | ) |

Remove a property from the property manager.

Assumes that the property with the given name already exists in the property manager.

Parameters

  [in] | property_name | The name of the property to remove.

## ◆ exists()

bool Ioss::PropertyManager::exists | ( | const std::string & | property_name | ) | const

Checks if a property exists in the database.

Parameters

  [in] | property_name | The property to check

Returns
  True if the property exists, false otherwise.

## ◆ get()

Ioss::Property Ioss::PropertyManager::get | ( | const std::string & | property_name | ) | const

Get a property object from the property manager.

Parameters

  [in] | property_name | The name of the property to get.

Returns
  The property object.

## ◆ operator=()

PropertyManager& Ioss::PropertyManager::operator= | ( | const PropertyManager & | from | ) |
| delete

## Member Data Documentation

## ◆ m_properties

PropMapType Ioss::PropertyManager::m_properties
| private

The documentation for this class was generated from the following files:

- src/Ioss_PropertyManager.h
- src/Ioss_PropertyManager.C